summaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
authorp4bl0 <r@uzy.me>2011-07-24 17:43:10 +0200
committerp4bl0 <r@uzy.me>2011-07-24 17:43:10 +0200
commit31dffefdd3e1b721296283120fa5ae9c2273e4fc (patch)
tree9aa9eb041c25317dbfca5ee02bfb1fb135a0cd41 /install.sh
parent48e77862038da65f224fc92d192e4391b26d4ef9 (diff)
Asking for confirmation when installing on existing git repository instead of aborting
Diffstat (limited to 'install.sh')
-rw-r--r--install.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/install.sh b/install.sh
index 5b14f72..c837120 100644
--- a/install.sh
+++ b/install.sh
@@ -50,8 +50,13 @@ fugitive_install_config() {
fugitive_install() {
if [ -d ".git" ]; then
- echo "There's already a git repository here, aborting install."
- exit 1
+ echo -n "There's already a git repository here, "
+ echo "enter 'yes' if you want to continue: "
+ read CONTINUE
+ if [ "$CONTINUE" != "yes" ]; then
+ echo "Okay, aborting."
+ exit 1
+ fi
fi
echo -n "Creating new git repository... "
git init >/dev/null